Subject: [PATCH 05/11] arm64: pmu: Add support for probing with ACPI

From: [email-masked] (Will Deacon)
Date: Wed, 6 Jul 2016 17:45:09 +0100

On Tue, Jun 21, 2016 at 12:11:43PM -0500, Jeremy Linton wrote:
> From: Mark Salter <[email-masked]>
> 
> In the case of ACPI, the PMU IRQ information is contained in the
> MADT table. Also, since the PMU does not exist as a device in the
> ACPI DSDT table, it is necessary to create a platform device so
> that the appropriate driver probing is triggered.
> 
> Signed-off-by: Mark Salter <[email-masked]>
> Signed-off-by: Jeremy Linton <[email-masked]>
> ---
> 
> NOTE: Much of the code in pmu_acpi_init() is replaced in patches 0009 and
>       0010 this set. The later version of the patch cleans up most of the
>       possible style/error handling issues that have been pointed out with
>       this version.

I agree with Punit that it would be a lot easier to review this series
if you could fold in the changes to pmu_acpi_init so the sum of the
changes can be viewed in one patch.

Will